Subject: Re: bug#77928: 31.0.50; ebcde0f90f6 (bug#77928) breaks :custom-face for themed faces

From: John Wiegley <[email-masked]>
Date: Sun, 08 Jun 2025 11:31:38 -0700

>>>>> Michael Shields <[email-masked]> writes:

> With my patch applied, :custom-face should be equivalent in behavior to
> custom-set-faces, but without the settings appearing as if they were
> user-set.

> I don't know how this should interact with themes. Maybe the right approach
> there is to define a new personal theme and configure faces there instead of
> using :custom-face. Or maybe it is simplest to call face-spec-set explicitly
> from :config.

This description certainly sounds like it expresses the right approach of
use-package being as “minimal” a wrapper around standard behavior as possible.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2